# -*- coding: utf-8 -*-
#MoxRangeEditor 20161229 testVirsion
import maya.cmds as cmds
import re


def rangePlay(Presetnum):
    startF = cmds.intField("startF"+Presetnum, q=True, v=True)
    endF = cmds.intField("endF"+Presetnum, q=True, v=True)
    cmds.playbackOptions(min=startF, max=endF)
    cmds.play(state=True)
    
#formを削除する
def delForm(set):
    try:
        cmds.deleteUI('MoxRangeEditor|MainColumnLayout|'+set)
    except:pass
        
def addRange():
    cmds.setParent( 'MoxRangeEditor|MainColumnLayout' ) #ここにいれるぜ！
    
    #Preset最大値の数字を取り出す
    if cmds.layout('MoxRangeEditor|MainColumnLayout',q=True, ca=True) != None: #すでに存在するなら
        lastprop = cmds.layout('MoxRangeEditor|MainColumnLayout',q=True, ca=True)[-1] #最後のRangeEditorを取得
       
        m = re.match('[^\d]*(\d+).*$', lastprop)
        if m:
            i = int( m.groups()[0] ) +1
        else:i=1
    else:i=1
    
    Presetnum  = 'set'+str(i)
    PresetLay = cmds.formLayout(Presetnum)
    
    cmds.rowLayout(nc=6)
    cmds.textField("name"+Presetnum, w=100)
    cmds.intField("startF"+Presetnum, w=50)
    cmds.intField("endF"+Presetnum, w=50)
    cmds.button("Play"+Presetnum, l="play", c="MoxRangeEditor.rangePlay(%r)"%Presetnum)
    cmds.button("Stop"+Presetnum, l="stop",c="cmds.play(state=False)")
    cmds.button("Del"+Presetnum, l="del",c="MoxRangeEditor.delForm(%r)"%Presetnum)
    cmds.setParent("..")

    cmds.setParent( '..' )
    #cmds.setParent( '..' )
    #cmds.formLayout(Presetnum, edit=True, attachForm=[(hoge, 'top',5), (hage, 'top',30), (hage, 'bottom',5)])
    """
    if len(cmds.ls(sl=True)) != 0:
        sText = ','.join(cmds.ls(sl=True))
        cmds.textField(Presetnum, e=True, text=sText)
    else:pass     """
    
    
def MoxRangeEditor_UI():
    if cmds.window('MoxRangeEditor', exists=True):cmds.deleteUI('MoxRangeEditor')
        
    cmds.window('MoxRangeEditor', menuBarVisible=True, tlb=True, s=1, t="MoxRangeEditor", resizeToFitChildren=1, mnb=1, mxb=0)
    cmds.columnLayout('MainColumnLayout', adjustableColumn=True, rowSpacing=5, columnAttach=["both",5])
    
    cmds.button("add range", c="MoxRangeEditor.addRange()")
    cmds.showWindow('MoxRangeEditor')
    
    
MoxRangeEditor_UI_mainWind = MoxRangeEditor_UI()